JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
colour
juce_graphics

## Namespaces
namespace | juce
namespace | juce::Colours
| Contains a set of predefined named colours (mostly standard HTML colours)

## Classes
class | Colour
| Represents a colour, also including a transparency value. More...
class | ColourGradient
| Describes the layout and colours that should be used to paint a colour gradient. More...
class | FillType
| Represents a colour or fill pattern to use for rendering paths. More...
class | PixelARGB
| Represents a 32-bit INTERNAL pixel with premultiplied alpha, and can perform compositing operations with it. More...
class | PixelRGB
| Represents a 24-bit RGB pixel, and can perform compositing operations on it. More...
class | PixelAlpha
| Represents an 8-bit single-channel pixel, and can perform compositing operations on it. More...

## Functions
uint32 | maskPixelComponents (uint32 x) noexcept
uint32 | clampPixelComponents (uint32 x) noexcept
forcedinline void | PixelARGB::blend (PixelRGB src) noexcept
| Blends another pixel onto this one.

## Detailed Description

## Function Documentation

## ◆ maskPixelComponents()

uint32 maskPixelComponents | ( | uint32 | x | ) |
| noexcept

References x.

Referenced by PixelARGB::blend(), PixelRGB::blend(), PixelARGB::blend(), PixelRGB::blend(), and clampPixelComponents().

## ◆ clampPixelComponents()

uint32 clampPixelComponents | ( | uint32 | x | ) |
| noexcept

References maskPixelComponents(), and x.

Referenced by PixelARGB::blend(), PixelRGB::blend(), PixelARGB::blend(), and PixelRGB::blend().

## ◆ blend()

forcedinline void PixelARGB::blend | ( | PixelRGB | src | ) |
| noexcept

Blends another pixel onto this one.

This takes into account the opacity of the pixel being overlaid, and blends it accordingly.